Page MenuHomePhabricator

Set relevant banner properties as an OutputPage property for api requests
Closed, ResolvedPublic

Description

Setting the following banner properties as a ParserOutput property will set that property in page_props table and enable querying for those properties through api:

  • filename
  • thumbnail url for specified width/height
  • width and height
  • origin

Details

Related Gerrit Patches:
mediawiki/extensions/WikidataPageBanner : masterSave banner properties in page_props for api use

Event Timeline

Sumit created this task.Nov 18 2015, 8:45 AM
Sumit raised the priority of this task from to Medium.
Sumit updated the task description. (Show Details)
Sumit added a project: Wikidata-Page-Banner.
Sumit added subscribers: Jdlrobson, Aklapper, Sumit.
Restricted Application added a project: Wikidata. · View Herald TranscriptNov 18 2015, 8:45 AM
Sumit set Security to None.
Sumit updated the task description. (Show Details)Dec 2 2015, 1:50 PM

Change 256409 had a related patch set uploaded (by Sumit):
Save banner properties in page_props for api use

https://gerrit.wikimedia.org/r/256409

@hashar we're experiencing problems getting this merged. Will https://gerrit.wikimedia.org/r/#/c/256840/ fix it?

Change 256409 merged by jenkins-bot:
Save banner properties in page_props for api use

https://gerrit.wikimedia.org/r/256409

Jdlrobson closed this task as Resolved.Dec 4 2015, 6:16 PM
Jdlrobson claimed this task.